summaryrefslogtreecommitdiffstats
path: root/source/l/mm
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/mm')
-rwxr-xr-xsource/l/mm/mm.SlackBuild27
-rw-r--r--source/l/mm/slack-desc10
2 files changed, 24 insertions, 13 deletions
diff --git a/source/l/mm/mm.SlackBuild b/source/l/mm/mm.SlackBuild
index a0a93755a..9f1c7e7b7 100755
--- a/source/l/mm/mm.SlackBuild
+++ b/source/l/mm/mm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,31 +20,39 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -78,13 +86,16 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-static \
--enable-shared \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make test || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Make sure the shared library is executable:
chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/libmm.so.*
# 99% of these are also executable, but I don't think it matters.
diff --git a/source/l/mm/slack-desc b/source/l/mm/slack-desc
index 6aa2f0bf7..7ed675906 100644
--- a/source/l/mm/slack-desc
+++ b/source/l/mm/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
mm: mm (Shared Memory Allocation library)
mm:
mm: OSSP mm is a 2-layer abstraction library which simplifies the usage of
-mm: shared memory between forked processes. On the first layer it hides
+mm: shared memory between forked processes. On the first layer it hides
mm: all platform dependent implementation details (allocation and locking)
mm: when dealing with shared memory segments and on the second layer it
mm: provides a high-level malloc(3)-style API to work with data inside
-mm: those shared memory segments. Apache, PHP, and other projects use mm.
+mm: those shared memory segments. Apache, PHP, and other projects use mm.
mm:
mm: The mm library was written by Ralf S. Engelschall.
mm: